Bug 508961 - weechat: port from aspell to enchant
weechat: port from aspell to enchant
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: weechat (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 12:41 EDT by Caolan McNamara
Modified: 2010-05-31 09:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-31 09:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to implement (12.29 KB, patch)
2009-06-30 12:41 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2009-06-30 12:41:45 EDT
Created attachment 349971 [details]
patch to implement

As described at http://fedoraproject.org/wiki/Releases/FeatureDictionary in fedora for some time we've been trying to unify dictionary support so that all apps use the same spelling dictionaries by default. (other distros have similar efforts)

In that vein attached is a patch that prefers enchant to aspell as the spell-checker for weechat, which gives the same spelling dictionaries by default as used by OpenOffice.org/Firefox/GNOME/KDE etc.
Comment 1 Caolan McNamara 2009-06-30 12:42:39 EDT
This patch is also logged upstream as https://savannah.nongnu.org/patch/index.php?6858
Comment 2 Bug Zapper 2009-11-16 05:34:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Paul P Komkoff Jr 2010-05-31 09:52:17 EDT
I actually did this a while ago. Currently released weechat has enchant support in it.

Note You need to log in before you can comment on or make changes to this bug.